Results 1 to 5 of 5

Thread: Fillet multiple pline objects?

  1. #1
    Member
    Join Date
    2002-09
    Location
    Greeley, CO
    Posts
    44
    Login to Give a bone
    0

    Default Fillet multiple pline objects?

    I am working on a lisp routine and I just hit a wall. I have multiple rectangles or plines I need to fillet all at the same time (in a single user selection). Changing color and layer was no problem but for some reason I can't get it to fillet more than one object. Anyone know a work around?

    PS Add MENOTE to your layers or the routine will fail.


    Code:
    (defun c:aeoutline()
      (setq oldf (getvar "filletrad"))
    	(setvar "filletrad" 12)
    (setq OBJ(ssget (entsel "\nPick pline or rectangle to convert to detail border:")))
    (command "FILLET" "P" OBJ "" "CHANGE" OBJ "" "P" "COLOR" "MAGENTA" "LA" "MENOTE" "LT" "HIDDEN" "")
      (setq OBJ nil)
    	 (setvar "filletrad" oldf)
    )
    Last edited by Opie; 2009-12-10 at 07:28 PM. Reason: [code] tags added

  2. #2
    Administrator rkmcswain's Avatar
    Join Date
    2004-09
    Location
    Earth
    Posts
    9,804
    Login to Give a bone
    0

    Default Re: Fillet multiple pline objects?

    Try looping through your selection set of polylines, and using the Polyline option of the Fillet command. Here is a sample.

    Code:
    
    
    (if (setq i 0 ss (ssget '((0 . "POLYLINE,LWPOLYLINE")(-4 . "&")(70 . 1))))
           ;; ssget code above only selects closed polylines
      (progn
        (while (< i (sslength ss))
          (setq x (ssname ss i))
          (command "._fillet" "_P" x)
          (setq i (1+ i))
        )
      )
    )
    
    
    R.K. McSwain | CAD Panacea |

  3. #3
    Member
    Join Date
    2002-09
    Location
    Greeley, CO
    Posts
    44
    Login to Give a bone
    0

    Default Re: Fillet multiple pline objects?

    Thank you very much for the reply rkmcswain. It works perfect. Below is the working lisp we will use.



    Code:
    (defun c:aeoutline ()
      (setvar "cmdecho" 0)
      (setq oldf (getvar "filletrad"))
      (setvar "filletrad" 12)
      (princ "Select Callout Border Lines")
      (setq
        i  0
        ss (ssget
           )
      )
      (progn
        (while (< i (sslength ss))
          (setq x (ssname ss i))
          (command "fillet" "P" x)
          (command "chprop"	x "" "color" "magenta" "ltype" "hidden"	"layer" "menote" "")
          (setq i (+ 1 i))
        )
      )
      (setq OBJ nil)
      (setvar "filletrad" oldf)
      (setvar "cmdecho" 1)
    )
    Last edited by Opie; 2009-12-10 at 07:28 PM. Reason: [code] tags added

  4. #4
    Member
    Join Date
    2012-02
    Posts
    14
    Login to Give a bone
    0

    Default Re: Fillet multiple pline objects?

    Quote Originally Posted by CAD Brad View Post
    Thank you very much for the reply rkmcswain. It works perfect. Below is the working lisp we will use.



    Code:
    (defun c:aeoutline ()
      (setvar "cmdecho" 0)
      (setq oldf (getvar "filletrad"))
      (setvar "filletrad" 12)
      (princ "Select Callout Border Lines")
      (setq
        i  0
        ss (ssget
           )
      )
      (progn
        (while (< i (sslength ss))
          (setq x (ssname ss i))
          (command "fillet" "P" x)
          (command "chprop"	x "" "color" "magenta" "ltype" "hidden"	"layer" "menote" "")
          (setq i (+ 1 i))
        )
      )
      (setq OBJ nil)
      (setvar "filletrad" oldf)
      (setvar "cmdecho" 1)
    )

    Hi CAD Brad,

    What I’m looking for is a lisp file that fillets all the CONNECTED selected lines/polylines (multiple)
    Is there such lisp?

    Thank you

    Best

    Jamal

  5. #5
    All AUGI, all the time
    Join Date
    2015-10
    Location
    Belgrade, Serbia, Europe
    Posts
    564
    Login to Give a bone
    0

    Default Re: Fillet multiple pline objects?

    Jamal, I've changed my mintfillet.lsp to include modify option of existing fillet...

    My version works with LINE and ARC entities, but above posted codes you may use for filleting POLYLINE entities...

    Hope this is what you're looking for...

    Regards, M.R.

Similar Threads

  1. Fillet multiple select
    By dgleason in forum AutoCAD General
    Replies: 8
    Last Post: 2013-04-15, 08:59 PM
  2. PLINE with multiple linetypes
    By autocad.wishlist1734 in forum AutoCAD Wish List
    Replies: 2
    Last Post: 2005-10-19, 10:56 PM
  3. Add multiple vertices to pline.
    By pgastelum77763 in forum AutoCAD General
    Replies: 4
    Last Post: 2005-02-26, 04:46 PM
  4. Multiple Pline Calculation
    By irar in forum AutoCAD General
    Replies: 4
    Last Post: 2004-11-04, 05:30 PM
  5. Fillet locked objects
    By Chad Smith in forum Revit Architecture - Wish List
    Replies: 1
    Last Post: 2004-05-31, 05:56 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •